Как исправить ошибку «Failed to fetch binary-armhf / Packages» во время обновления apt-get?

Когда я запускаю sudo apt-get update я получаю следующую ошибку:

 W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/trusty/main/binary-armhf/Packages 404 Not Found [IP: 91.189.91.15 80] E: Some index files failed to download. They have been ignored, or old ones used instead. 

Я пробовал искать /etc/apt/sources.list.d/ чтобы увидеть, можно ли удалить что-либо в этом каталоге, но все, что есть в нем,

 nodesource.list nodesource.list.save 

В моем файле sources.list меня есть:

 deb http://ports.ubuntu.com/ubuntu-ports/ trusty main deb-src http://ports.ubuntu.com/ubuntu-ports/ trusty main deb http://ports.ubuntu.com/ubuntu-ports/ trusty-updates main deb-src http://ports.ubuntu.com/ubuntu-ports/ trusty-updates main deb http://ports.ubuntu.com/ubuntu-ports/ trusty-security main deb-src http://ports.ubuntu.com/ubuntu-ports/ trusty-security main deb http://archive.ubuntu.com/ubuntu trusty main # deb-src http://archive.ubuntu.com/ubuntu trusty main 

Может ли кто-нибудь рекомендовать способ исправления этой ошибки?

Оскорбительная строка была из списка источников x86. Удаление этого объекта устранило ошибку. Ниже приведен правильный список архитектуры armf.

 deb http://ports.ubuntu.com/ubuntu-ports/ trusty main deb-src http://ports.ubuntu.com/ubuntu-ports/ trusty main deb http://ports.ubuntu.com/ubuntu-ports/ trusty-updates main deb-src http://ports.ubuntu.com/ubuntu-ports/ trusty-updates main deb http://ports.ubuntu.com/ubuntu-ports/ trusty-security main deb-src http://ports.ubuntu.com/ubuntu-ports/ trusty-security main 

Вы можете установить крестовые инструменты armhf которые добавляют armhf качестве внешней архитектуры (ваша архитектура может быть i386 или amd64). Вы можете запустить эту команду, чтобы проверить:

 dpkg --print-foreign-architectures 

Если выход включает armhf , вы можете просто удалить его, выполнив команду:

 sudo dpkg --remove-architecture armhf 

Наконец, снова sudo apt-get update .